import React from "react";
import { ComponentStyles } from "@microsoft/fast-jss-manager-react";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import { CanvasHandledProps, CanvasProps, CanvasUnhandledProps } from "./canvas.props";
export interface CanvasClassNamesContract {
    canvas?: string;
}
export declare const canvasStyleSheet: ComponentStyles<CanvasClassNamesContract, undefined>;
/**
 * Grid Canvas - this is the main content area of the grid.
 */
export declare class Canvas extends Foundation<CanvasHandledProps, CanvasUnhandledProps, {}> {
    static displayName: string;
    /**
     * Default props for the Canvas component
     */
    static defaultProps: CanvasHandledProps;
    /**
     * Handled prop enumeration
     */
    protected handledProps: HandledProps<CanvasProps>;
    /**
     * Generate the style attribute object
     */
    renderStyleAttribute(): object;
    /**
     * Render the Canvas
     */
    render(): React.ReactElement<HTMLDivElement>;
}
export * from "./canvas.props";
