import React from "react";
import { ComponentStyles } from "@microsoft/fast-jss-manager-react";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import { ContainerHandledProps, ContainerProps, ContainerUnhandledProps } from "./container.props";
export interface ContainerClassNamesContract {
    container?: string;
}
export declare const containerStyleSheet: ComponentStyles<ContainerClassNamesContract, undefined>;
/**
 * The Grid Container. This element wraps all other grid elements.
 */
export declare class Container extends Foundation<ContainerHandledProps, ContainerUnhandledProps, undefined> {
    static displayName: string;
    static defaultProps: Partial<ContainerProps>;
    protected handledProps: HandledProps<ContainerHandledProps>;
    /**
     * Renders the Container markup
     */
    render(): React.ReactElement<HTMLDivElement>;
}
export * from "./container.props";
