export declare type Breakpoint = number;
export declare type Breakpoints = Breakpoint[];
export declare const defaultBreakpoints: Breakpoints;
/**
 * Identifies current breakpoint based on window width
 */
export declare function identifyBreakpoint(windowWidth: number, breakpoints?: Breakpoints): number;
/**
 * Gets a value from an array where the index retrieved is either the current break-point
 * or the nearest preceding break-point if no entry exists for the current break-point
 */
export declare function getValueByBreakpoint<T>(breakpointSet: T[], breakpoints?: Breakpoints): T;
